import type { Config } from 'tailwindcss'
import { standard, standardThemes } from 'via-tailwind'

const themeAppColors = {
  50: '#DDE3EB',
  100: '#B0C4D6',
  200: '#83A5C1',
  300: '#5686AC',
  400: '#296897',
  500: '#1E507B',
  600: '#1B4870',
  700: '#183F64',
  800: '#153758',
  900: '#112F4D',
  950: '#0E2741'
}

const themeTextColors = {
  principal: '#334155',
  disabled: '#cbd5e1'
}

const config: Config = {
  darkMode: 'class',
  content: [
    './src/**/*.{js,ts,jsx,tsx,mdx}',
    './node_modules/analytics-lib/dist/**/*.{js,ts,jsx,tsx}',
    './node_modules/vComponents/dist/**/*.{js,ts,jsx,tsx}',
    './node_modules/via-ui/dist/**/*.{js,ts,jsx,tsx}'
  ],
  theme: {
    extend: {
      colors: {
        'theme-text': themeTextColors,
        'theme-app': themeAppColors
      }
    }
  },
  plugins: [
    standard,
    standardThemes({
      'theme-app': themeAppColors,
      'theme-text': themeTextColors
    })
  ]
}

export default config
